Macaulay2 » Documentation
Packages » NCAlgebra :: Hom(ZZ,NCMatrix,NCMatrix)
next | previous | forward | backward | up | index | toc

# Hom(ZZ,NCMatrix,NCMatrix) -- Compute a graded component of Hom(M,N)

- Function: Hom
- Usage:
    `homs = Hom(n,M,N)`
- Inputs:
  - n, an integer,
  - M, an instance of the type NCMatrix,
  - N, an instance of the type NCMatrix,
- Optional inputs:
  - DegreeLimit => ..., default value null,
  - MinimalGenerators => ..., default value true,
  - Strategy => ..., default value null,
- Outputs:
  - homs, a list,

## Description

This function computes a generating set of the degree n component of Hom(M,N) as a module over the coefficient ring of A = ring M.

## Ways to use this method:

- Hom(ZZ,NCMatrix,NCMatrix) -- Compute a graded component of Hom(M,N)

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NCAlgebra/NCAlgebraDoc.m2:4265:0.